Bug 1268627 - [abrt] gnome-abrt: PyObject_GetAttrString(): python2.7 killed by SIGSEGV
[abrt] gnome-abrt: PyObject_GetAttrString(): python2.7 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2ede37e499b45e6324d1af7cdbb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 18:55 EDT by Adam Williamson
Modified: 2016-11-30 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.72 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: core_backtrace (12.41 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: dso_list (16.54 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: environ (1.50 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: maps (77.28 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: open_fds (354.31 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-03 18:55 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-10-03 18:55:04 EDT
Description of problem:
Ran gnome-abrt to test it and noticed I had a huge number of kernel traces, so selected the first and held down Delete, hoping to quickly delete them all. It crashed shortly afterwards.

Version-Release number of selected component:
gnome-abrt-1.0.0-4.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gnome-abrt
crash_function: PyObject_GetAttrString
executable:     /usr/bin/python2.7
kernel:         4.1.6-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PyObject_GetAttrString at /usr/src/debug/Python-2.7.8/Objects/object.c:1133
 #1 pyg_source_finalize at pygi-source.c:158
 #2 g_source_unref_internal at gmain.c:2016
 #6 g_main_context_iteration at gmain.c:3842
 #7 g_application_run at gapplication.c:2282
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525
 #10 pygi_invoke_c_callable at pygi-invoke.c:628
 #11 pygi_function_cache_invoke at pygi-cache.c:793
 #12 pygi_callable_info_invoke at pygi-invoke.c:671

Potential duplicate: bug 1034473
Comment 1 Adam Williamson 2015-10-03 18:55:08 EDT
Created attachment 1079676 [details]
File: backtrace
Comment 2 Adam Williamson 2015-10-03 18:55:09 EDT
Created attachment 1079677 [details]
File: cgroup
Comment 3 Adam Williamson 2015-10-03 18:55:10 EDT
Created attachment 1079678 [details]
File: core_backtrace
Comment 4 Adam Williamson 2015-10-03 18:55:11 EDT
Created attachment 1079679 [details]
File: dso_list
Comment 5 Adam Williamson 2015-10-03 18:55:12 EDT
Created attachment 1079680 [details]
File: environ
Comment 6 Adam Williamson 2015-10-03 18:55:14 EDT
Created attachment 1079681 [details]
File: exploitable
Comment 7 Adam Williamson 2015-10-03 18:55:15 EDT
Created attachment 1079682 [details]
File: limits
Comment 8 Adam Williamson 2015-10-03 18:55:16 EDT
Created attachment 1079683 [details]
File: maps
Comment 9 Adam Williamson 2015-10-03 18:55:19 EDT
Created attachment 1079684 [details]
File: open_fds
Comment 10 Adam Williamson 2015-10-03 18:55:20 EDT
Created attachment 1079685 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-11-04 05:21:19 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 10:34:27 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.